
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP程序员应了解MongoDB的五件事 / iVAN</title>

    <meta name="description" content="PHP程序员应了解MongoDB的五件事 2010年应该被人们记住,因为SQL将在这一年死去.这一年关系数据库行将就木,这一年开发者发现他们再不需要长时间辛苦的构造列或者表格来存放数据. 2010年将是文档型数据库的起始年.尽管这样的势头已经持续多年,现在才是一个更多,更广泛的文档型数据库出现的年代.从基于云计算的Amazon到Google,大量开源工具,以及随之诞生的CouchDB和MongoDB. 那么什么是MongoDB?下面有五件事是PHP开发者应该了解的: 1. MongoDB是一个单独的服务器; 2. MongoDB是基于文">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP程序员应了解MongoDB的五件事</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>2010年应该被人们记住，因为SQL将在这一年死去。这一年关系数据库行将就木，这一年开发者发现他们再不需要长时间辛苦的构造列或者表格来存放数据。</p>
<p>　　2010年将是文档型数据库的起始年。尽管这样的势头已经持续多年，现在才是一个更多，更广泛的文档型数据库出现的年代。从基于云计算的Amazon到Google，大量开源工具，以及随之诞生的CouchDB和MongoDB。</p>
<p>　　那么什么是MongoDB?下面有五件事是PHP开发者应该了解的：</p>
<p>　　1. MongoDB是一个单独的服务器;</p>
<p>　　2. MongoDB是基于文档，而不是基于表;</p>
<p>　　3. MongoDB中较少的Schema;</p>
<p>　　4. 你不需要学习另外的语言;</p>
<p>　　5. MongoDB有良好的PHP支持。</p>
<p>　　1. MongoDB是一个单独的服务器</p>
<p>　　就像MySQL和PostgreSQL一样，MongoDB将监听接入的链接。它提供的工具作用包括询问，创建，更新和删除。理论上，你将跟在MySQL和PostgreSQL一样的进行工作：链接，处理，然后再关闭链接。</p>
<p>　　2. 向行和表说再见，欢迎文档和收集器</p>
<p>　　代替储存数据的表和行，MongoDB将数据储存在文档中。假如我们有一篇带标题的“文章”，它有多个作者，一个主题和标签。所有这些看起来就像下面：</p>
<p>　　</p>
<p>　　array(</p>
<p>　　'title'=&gt;'Hello World',</p>
<p>　　'authors'=&gt;array('John','Sally','Jim'),</p>
<p>　　'body'=&gt;'Hello world',</p>
<p>　　'tags'=&gt;array('tag1','tag2','tag3')</p>
<p>　　);</p>
<p>　　?&gt;</p>
<p>　　上面的例子中最关键的就是那一条记录——这篇文档——是的，确实存储起来就像是一篇文档，支持复合形式的值存储在同一区域。不再需要结构化，不需要将数据按照表来区分。因此，表已经不存在了。</p>
<p>　　3. MongoDB包含较少的schema</p>
<p>　　MongoDB没有schema语言。如果你想新建一种文档类型，你不需要告诉数据库任何事情。尽管将新的数据放到数据库中就行了。</p>
<p>　　在第二点中，我模拟了一个文档。现在我想为所有区域定义一个文章类型，所有我需要做的就是将这些数据写到数据库中。如果我决定延缓写入呢?我只需要拉出这部分数据，然后加上日期字段，最后保存就行。</p>
<p>　　那么数据类型怎么办?简单的回答就是MongoDB运用一种强制系统，类似JavaScript或者PHP。如此这样，数据库极好的弱化了类型的作用。</p>
<p>　　这有一些漏洞(超大量的数据需要一些明确的定义)，不过多数情况下，你写你的MongoDB代码就像在PHP上编程一样。</p>
<p>　　4. 你不需要学习另外的语言</p>
<p>　　回忆一下其他你曾写过的数据库抽象层。回忆所有你曾使用过的ORM层。那么你现在可以抛弃他们的，在MongoDB上你用不着他们了。</p>
<p>　　MongoDB(包含它的PHP驱动)不需要询问语言。在大多数案例中，你只需要简单的给定一个指针具体制定你需要的，然后返回你一个文档指向。</p>
<p>　　如果你运行一些高阶函数(比如Map-Reduce)，你可以通过JavaScript应用加入到MongoDB中去，并且在JavaScript内部引擎中运行这些脚本。</p>
<p>　　5. PHP和MongoDB是天生一对?</p>
<p>　　PHP已经对MongoDB具备很好的支持。Mongo驱动可以作为一个PECL加载项加入到PHP，这意味着安装起来就像运行PECL一样安装Mongo。</p>
<p>　　看到这里，你可以开始编写Mongo的API了。更广一些说，它和PDO排在一起。不是简单的消亡，但是绝对不同于我们之前开发过的数据库。</p>
<p>　　API的说明文档将包括一个引导和许多例子，这样你就可以在短时间内自举。下面将是对你十分有用的提示。</p>
<p>　　MongoDB发展非常快。</p>
<p>　　开发时间非常短，没有过多的模式来管理，很少(如果有的话)的数据映射。</p>
<p>　　因为没有新的查询语言要学习，代码的调整很小。毕竟，你不需要另外的ORM，封包也非常轻。</p>
<p>　　你的代码是未来的保证，可以更轻松的为你的对象增加更多的领域，甚至是更复杂的领域。因此你的代码可以很轻松的适应需求的变化。</p>
<p>　　延伸阅读</p>
<p>　　Mongo是一个高性能，开源，无模式的文档型数据库，它在许多场景下可用于替代传统的关系型数据库或键/值存储方式。Mongo使用C++开发，提供了以下功能：</p>
<p>　　◆ 面向集合的存储：适合存储对象及JSON形式的数据。</p>
<p>　　◆ 动态查询：Mongo支持丰富的查询表达式。查询指令使用JSON形式的标记，可轻易查询文档中内嵌的对象及数组。</p>
<p>　　◆ 完整的索引支持：包括文档内嵌对象及数组。Mongo的查询优化器会分析查询表达式，并生成一个高效的查询计划。</p>
<p>　　◆ 查询监视：Mongo包含一个监视工具用于分析数据库操作的性能。</p>
<p>　　◆ 复制及自动故障转移：Mongo数据库支持服务器之间的数据复制，支持主-从模式及服务器之间的相互复制。复制的主要目标是提供冗余及自动故障转移。</p>
<p>　　◆ 高效的传统存储方式：支持二进制数据及大型对象(如照片或图片)。</p>
<p>　　◆ 自动分片以支持云级别的伸缩性(处于早期alpha阶段)：自动分片功能支持水平的数据库集群，可动态添加额外的机器。</p>
<p>　　MongoDB的主要目标是在键/值存储方式(提供了高性能和高度伸缩性)以及传统的RDBMS系统(丰富的功能)架起一座桥梁，集两者的优势于一身。根据官方网站的描述，Mongo适合用于以下场景：</p>
<p>　　◆ 网站数据：Mongo非常适合实时的插入，更新与查询，并具备网站实时数据存储所需的复制及高度伸缩性。</p>
<p>　　◆ 缓存：由于性能很高，Mongo也适合作为信息基础设施的缓存层。在系统重启之后，由Mongo搭建的持久化缓存层可以避免下层的数据源过载。</p>
<p>　　◆ 大尺寸，低价值的数据：使用传统的关系型数据库存储一些数据时可能会比较昂贵，在此之前，很多时候程序员往往会选择传统的文件进行存储。</p>
<p>　　◆ 高伸缩性的场景：Mongo非常适合由数十或数百台服务器组成的数据库。Mongo的路线图中已经包含对MapReduce引擎的内置支持。</p>
<p>　　◆ 用于对象及JSON数据的存储：Mongo的BSON数据格式非常适合文档化格式的存储及查询。</p>
<p>　　自然，MongoDB的使用也会有一些限制，例如它不适合：</p>
<p>　　◆ 高度事务性的系统：例如银行或会计系统。传统的关系型数据库目前还是更适用于需要大量原子性复杂事务的应用程序。</p>
<p>　　◆ 传统的商业智能应用：针对特定问题的BI数据库会对产生高度优化的查询方式。对于此类应用，数据仓库可能是更合适的选择。</p>
<p>　　◆ 需要SQL的问题。</p>
<p>　　MongoDB支持OS X、Linux及Windows等操作系统，并提供了Python，PHP，Ruby，Java及C++语言的驱动程序，社区中也提供了对Erlang及.NET等平台的驱动程序。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 04:38:42</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%bb%9c%e7%bc%96%e7%a8%8b/" title="网络编程">网络编程</a>, <a href="https://www.iamivan.net/tag/php%e6%95%99%e7%a8%8b/" title="php教程">php教程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP程序员应了解MongoDB的五件事的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnwwkrz.html" rel="bookmark">抛弃关系数据库 PHP程序员应了解MongoDB的五件事</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[51CTO独家特稿]2010年应该被人们记住,因为SQL将在这一年死去.这一年关系数据库行将就木,这一年开发者发现他们再不需要长时间辛苦的构造列或者表格来存放数据. 2010年将是文档型数据库的起始年.尽管这样的势头已经持续多年,现在才是一个更多,更广泛的文档型数据库出现的年代.从基于云计算的Amazon到Google,大量开源工具,以及随之诞生的CouchDB和MongoDB. 那么什么是MongoDB?下面有五件事是PHP开发者应该了解的. 1.MongoDB是一个单独的服务器 2.Mon			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn867kb.html" rel="bookmark">作为PHP程序员应该了解MongoDB的五件事&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2010年应该被人们记住,因为SQL将在这一年死去.这一年关系数据库行将就木,这一年开发者发现他们再不需要长时间辛苦的构造列或者表格来存放数据.2010年将是文档型数据库的起始年.尽管这样的势头已经持续多年,现在才是一个更多,更广泛的文档型数据库出现的年代.从基于云计算的Amazon到Google,大量开源工具,以及随之诞生的CouchDB和MongoDB.那么什么是MongoDB?下面有五件事是PHP开发者应该了解的:1. MongoDB是一个单独的服务器;2. MongoDB是基于文档,而不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bamrKqb.html" rel="bookmark">php程序员应具备的7种能力</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 php程序员应具备的7种能力:        一个优秀php程序员应具备什么样的能力,才能更好的完成工作,才会有更好的发展方向呢?下面7种能力希望对您有所帮助.        一,php能力        1,了解阶段,您能写一些代码,因为那是在手册和google的帮助下,您才完成的.变量乱定义,N多函数不知道,做起事来很慢,想到什么写什么,代码写的比较乱,后期维护很麻烦.        2,熟悉阶段,经常查函数,手册估计也看过一,二遍了,常用的函数基本上您都了解了.后期维护给您带来了不少痛苦			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBXkNp.html" rel="bookmark">程序员应具备的素质</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|程序员|素质|程序员 程序员应具备的素质[转帖]程序员是一种技术工作,在IT的发展中有相当重要的地位,从底层硬件通讯协议的建立, 到数据传输层的处理,到操作系统的建设,到数据库平台的建设,一直到应用层上各种数 据营销平台的搭建,程序员在里面都扮演着举足轻重的角色并为IT事业的发展做出了巨大 的贡献. 中国有很多精于编码的人,但是中国软件行业,尤其是网络应用开发方面误区很大,很难 形成有规模的软件开发力量和产品能力,不但比美国差距甚远,和印度相比也是颇有不 如.这些问题不是在于中国程序员的智			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx0oPBM.html" rel="bookmark">Java 程序员应会的 Linux 命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java 程序员应会的 Linux 命令 作为一个Java开发人员,有些常用的Linux命令必须掌握.即时平时开发过程中不使用Linux(Unix)或者mac系统,也需要熟练掌握Linux命令.因为很多服务器上都是Linux系统.所以,要和服务器机器交互,就要通过shell命令. 本文并不会对所有命令进行详细讲解,只给出常见用法和解释.具体用法可以使用--help查看帮助或者直接通过google搜索学习. 1.查找文件 find / -name filename.txt 根据名称查找/目录下的f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mymw3PM.html" rel="bookmark">【观点】程序员应知&mdash;&mdash;循序渐进</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				导读:作者侯伯薇在CSDN博客中写了一篇&lt;程序员应知--循序渐进&gt;,在他看来,想成为一名优秀的程序员要脚踏实地的,一步一个脚印,逐步提高,切忌不可一蹴而就. 以下是文章内容: 作为程序员,我想每个人都对于提高和进步非常渴望,也期望自己有朝一日能够从菜鸟变成大师级的人物,能够做出很棒的系统,能够得到他人的尊敬和赞赏,当然还可以得到不菲的收入. 然而,想要达到那个层次,不可能一蹴而就,必须要踏踏实实,一步一个脚印,逐步提高.这在每个行业或者说每个人的成长过程中都是一样的,所以我们必须要把握每一个提			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEk2Op.html" rel="bookmark">大数据时代 市场人员需要了解的五件事</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是大数据时代 市场人员需要了解的五件事,大多数的市场人员正在认同这样一种观念,即:大数据不仅是一个技术上的挑战,而且对于更加有效地开展市场活动也有着极大的益处. 只要公司已经部署好了市场推广与宣传的战略,那么专业人员就意识到:通过更好地把握客户的信息与动机,并且对所付诸的努力加以评估的话,他们就更加有可能使市场推广活动取得良好的效果. 因此,作为一名市场人员,当你已经跨越过了如何去搜集大数据的初期阶段之后,你就要明白如何去管理和衡量好这些数据,以及它们对于业务发展的重要性.为了帮助这样一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1l1BKb.html" rel="bookmark">IT人士对于SaaS治理需要了解的五件事</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是IT人士对于SaaS治理需要了解的五件事,SaaS对于所有类型和规模的IT部门都已经成为现实.首席信息官和其他IT领导者需要一些工具像管理内部安装的软件一样严格地管理SaaS应用的庞大的产品组合.下面是每一个IT专业人员都应该知道的关于SaaS的五件事情. 1. SaaS已经深入人心.SaaS已经远远超过好奇阶段和炒作周期,许多公司目前正在使用几种.甚至几十种云服务运行自己的业务流程. 现在,IT部门的挑战是搞清楚如何像管理内部安装的软件一样严格地管理SaaS应用日益增多的产品组合.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RoOAz.html" rel="bookmark">从吴恩达看深度学习，一定要做好这五件事！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章讲的是从吴恩达看深度学习,一定要做好这五件事!自吴恩达从百度离职之日起,他的去向就一直备受关注.近日,有消息传出,吴恩达妇唱夫随加入了其妻子所在的初创公司Drive.ai.同时,随着他的加入,该公司还获得了5000万美元的B轮融资. ▲图源网络,侵权可删! 作为百度前首席科学家,吴恩达加入该公司显然很合适.据悉,该公司主要专注于无人驾驶软件技术的研究,主要是运用深度学习技术,这与吴恩达的研究方向相符.现在,很多科技圈的大佬都瞄准了深度学习,都认为其在未来会给人类的生活带来很大价值.所以,入深			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNrNMk.html" rel="bookmark" class="title">下一代高性能数据库标杆POLARDB 亮相顶会VLDB2017</a>
					<div>
						8月28日-9月1日,第四十三届VLDB会议在德国慕尼黑举行.阿里巴巴在本届VLDB展区重点展示了ApsaraDB.AliSQL.AnalyticDB和MaxCompute等数据库和数据处理技术,特别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM65BAb.html" rel="bookmark" class="title">欺骗手段获取来的IP 百害而无一益</a>
					<div>
						我们在浏览网站的过程中,经常会遇到一些站点自动窜改首页,打开浏览器就自动跳转到一个网站上:还有一些站点采用大量弹窗的宣传方法,关掉网页之后又会再弹出一个,怎么关都关不掉.诸如此类的恶习,不仅不会留住用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8lJ4p.html" rel="bookmark" class="title">在&period;NET平台运行Java程序-IKVM&period;NET入门</a>
					<div>
						程序 摘要 IKVM.NET是一个针对Mono和微软.net框架的java实现,其设计目的是在.NET平台上运行java程序.本文将比较详细的介绍这个工具的原理.使用入门(如何java应用转换为.NE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkgqop.html" rel="bookmark" class="title">经验共享：网页技术CSS样式表网页布局经验</a>
					<div>
						css|网页|样式表 1.标签在Mozilla中默认是有padding值的,而在IE中只有margin有值. 2.同一个的class选择符可以在一个文档中重复出现,而id选择符却只能出现一次;对一个标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8e3oz.html" rel="bookmark" class="title">如何制作剪纸边缘效果</a>
					<div>
						在Photoshop中将两幅图像合在一起,并进行一些简单的处理,就可以得到各种奇特的剪纸效果.下面举例说明. 1.打开两幅图像,一幅为山水画,另一幅为雕塑图.如上面前两幅图像所示.我们将对山水画进行& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaJlmM.html" rel="bookmark" class="title">Photoshop合成特效&colon;由水合成的科幻片人物</a>
					<div>
						本教程的合成效果有点类似科幻片的角色,一个全部由水构成的人物,非常有创意.制作的过程比较简单:我们需要把人物手,脚,脸等部分用图章工具去掉,用水花素材替换,需要控制好水花的浓度及溅起的水花方向,后期再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMADEnb.html" rel="bookmark" class="title">视觉设计中的微软雅黑的字体设计</a>
					<div>
						一．雅黑设计理念 雅黑字体是为微软公司设计的屏幕显示汉字.它具有个性独特.结体优美.识别性强.块状效果好.显示清晰等优点.在当今数字化时代更是用途广泛.这副字可以说是科技进步的产物,是人类社会的需要, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7d08b.html" rel="bookmark" class="title">与众不同windows phone &lpar;9&rpar;</a>
					<div>
						Push Notification(推送通知)之概述, 推送 Toast 通知 介绍 与众不同 windows phone 7.5 (sdk 7.1) 之推送通知 概述 推送 Toast 通知 示例  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNmorb.html" rel="bookmark" class="title">C&num;多线程编程起步</a>
					<div>
						.NET将关于多线程的功能定义在System.Threading名字空间中.因此,要使用多线程,必须先声明引用此名字空间(using System.Threading;). 即使你没有编写多线程应用程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNNxZM.html" rel="bookmark" class="title">Word带圈数字序号怎么输入？</a>
					<div>
						  1.单击&quot;格式--中文版--带圈字符&quot;,如图: 2.在带圈字符窗口,你可以选择相应的样式. 也就是选择文字与圈号的间距,可以通过缩小文字增大间距,保持带圈字符的大小;或者保持文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7mDOM.html" rel="bookmark" class="title">查询json的数据结构的8种方式介绍</a>
					<div>
						 你有没有对&quot;在复杂的JSON数据结构中查找匹配内容&quot;而烦恼,这篇文章介绍了查询json的数据结构的8种方式,总有一个适合你项目使用的方法 查询json的数据结构的8种方式:    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwAGKp.html" rel="bookmark" class="title">笔记本上不了网 提示系统资源不足，无法完成请求的服务</a>
					<div>
						  网友咨询:笔记本上不了网,重新安装网络驱动提示:系统资源不足,无法完成请求的服务 分享经验:主要看这句话出自哪里,因为很多状态下都会有这个提示(截图最好). 方法/步骤 1.从求助者的截图看,这是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EVwgM.html" rel="bookmark" class="title">你的Java代码是否符合规范，来测测便知！</a>
					<div>
						无规矩不成方圆,无规范不能协作.近万名阿里Java技术精英的经验总结,并经历了多次大规模一线实战检验及完善,铸就了高含金量的&lt;阿里巴巴Java开发手册&gt;,并向业界开放. 该手册以Java开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWN6Bp.html" rel="bookmark" class="title">是什么干掉了 Linux 桌面？</a>
					<div>
						挂载 /home 目录的硬盘坏掉了,所以我必须更换一块硬盘.由于机器在我桌子底下,我必须拔掉所有的线,把机器拿出来,更换硬盘,再把所有东西插上去.  这是个标准流程.插上电源,插上键盘,插上鼠标,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7dx8M.html" rel="bookmark" class="title">ITOO高校云平台V3&period;1--项目总结（一）</a>
					<div>
						    高校云平台,可以说是我参加的的一个实战性的项目,刚开始接触,可以说是有点蒙,到真正的用到实践中去的时候才发现,之前学到的好多的知识,还只是依然处于学过的层次上,想要真正的运用到项目中去,还是欠 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydYKlb.html" rel="bookmark" class="title">让搜索引擎开畅胸怀的&OpenCurlyDoubleQuote;文章标题&rdquo;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 随着百度算法的升级,现在很多原创文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBEV0b.html" rel="bookmark" class="title">苹果公司将推全新数码产品扩大产品线</a>
					<div>
						京华时报讯(记者古晓宇)上周末,在苹果公司的年度股东大会上,该公司CEO蒂姆·库克向股东们承诺苹果将推出新的数码产品,他还披露,为研发新品做准备,苹果已经在过去的16个月中,完成了对23家公司的收购. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60YwLz.html" rel="bookmark" class="title">阿里云备案要多久？快速通过阿里云APP进行域名备案方法</a>
					<div>
						阿里云APP备案方法 如何通过阿里云APP进行域名备案? 1.准备备案材料(很多初次使用阿里云APP进行备案的同学会问备案需要准备哪些资料,不二版本下面就给大家一一列举出来) 个人备案需要材料: ⑴& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJgdWp.html" rel="bookmark" class="title">服务业将如何被地理位置技术改变</a>
					<div>
						据国外媒体报道, 现场服务管理应用套件ServiceMax的首席执行官戴夫·约诺德(Dave Yarnold)今天发表署名文章,讨论地理位置技术在服务业中的应用,以下为全文摘要: 面向消费者的地理位置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12X8xp.html" rel="bookmark" class="title">程序员的复仇：11 行代码让 Node 社区鸡飞狗跳</a>
					<div>
						一名NPM(Nodejs Package Manager)社区的贡献者Azer Koçulu出于对NPM管理层的怨愤(详情),不声不响删除了自己在NPM上面的全部代码,其中就包含只有11行代码的&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeQWkM.html" rel="bookmark" class="title">jQuery学习笔记之jQuery的Ajax（3）</a>
					<div>
						jQuery学习笔记之jQuery的Ajax(3) 6.jQuery的Ajax插件 源码地址: https://github.com/iyun/jQueryDemo.git ------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4egQJb.html" rel="bookmark" class="title">bootstrap按钮下拉怎么传入值</a>
					<div>
						问题描述 bootstrap按钮下拉怎么传入值 我从后台传入的是以list 形式的list hospital是一个javabean 怎么把hospital中的name值传入这个下来菜单中的选项中 功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoOL9M.html" rel="bookmark" class="title">Yeti雪人计划：纯IPv6域名根服务器系统试验床</a>
					<div>
						在今天召开的2015全球IPv6下一代互联网高峰会议上,来自下一代互联网工程中心首席架构师Shane Kerr为我们带来了一个十分新颖的话题&lt;Yeti雪人计划 纯IPv6域名根服务器系统试验床& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBjJXM.html" rel="bookmark" class="title">《幻幻球》射击消除游戏将于下星期登陆PSP平台</a>
					<div>
						本网(编译/苍天小白)&lt;幻幻球&gt;(Peggle),这款由&lt;植物大战僵尸&gt;的开发商PopCap所制作的一款类似弹珠台的射击消除游戏将于下星期登陆PSP平台. 最早在下星期二,玩家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2W0oz.html" rel="bookmark" class="title">网上上海地图有了官方版</a>
					<div>
						本报讯 (记者 张奕 实习生 吕雯瑾)深受市民喜爱的上海市交通地图,有了全新的电子版.市测绘管理办公室.市测绘院昨天宣布,公益性地图网站--- 上海地图网站(www.shanghai-map.net) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkvm3z.html" rel="bookmark" class="title">PHP实现WebService的简单示例和实现步骤&lowbar;php实例</a>
					<div>
						前段时间在webservice的问题上纠结了很长时间,本来想写在thinkphp的框架里面,可是怎么也实现不了,目前为止也仅仅是学会的没有框架的接口的开发. 在此资源共享一下步骤: 首先我创建的文件有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z01kz.html" rel="bookmark" class="title">c&num;下通过OpenOffice转换PDF出错</a>
					<div>
						问题描述 参照niuhea的[&lt;通过OpenOffice转换PDF&gt;](http://blog.csdn.net/niuhea/article/details/7749684&quot;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze01B9p.html" rel="bookmark" class="title">JSP页面获取时间后只将&OpenCurlyDoubleQuote;年&rdquo;赋给列表框</a>
					<div>
						问题描述 我要用列表选择年份从1980年到2011年 解决方案 解决方案二:简单点直接用&lt;select&gt;&lt;optionvalue=&quot;&quot;&gt;&lt;/optio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2ReOz.html" rel="bookmark" class="title">58同城宣布增发920万ADS 最高融资4&period;4亿美元</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 3月25日消息,据国外媒体报道,58同城周一宣布,将增发总 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1alnM.html" rel="bookmark" class="title">SSH架构代码的生成</a>
					<div>
						问题描述 偶尔发现一个网站(www.codegene.net)可以在线生成SSH架构代码,请问大侠们有用乎?问题补充下载了网站例子,按他的步骤可以跑起来.同意二楼的说法,例子的功能只包括数据库常见的C ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
